> ## Name

> cgGLGetMatrixParameterfr - get the values from a matrix parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLGetMatrixParameterfr( CGparameter param,
>                                    float * matrix );

> ## Parameters

> param
>   The matrix parameter from which the values will be retrieved.
> matrix
>   An array of floats into which the matrix values will be retrieved. The size must be the number of rows times the number of columns of param.

> ## Return Values

> None.

> ## Description

> cgGLGetMatrixParameterfr retrieves the values from a matrix parameter using row-major ordering.

> cgGLGetMatrixParameterfr may only be called with uniform parameters.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_NOT_MATRIX_PARAM_ERROR is generated if param is not a matrix parameter.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGLGetMatrixParameterfr was introduced in Cg 1.1.

> ## See Also

> cgGLGetMatrixParameterArray, cgGLSetMatrixParameterArray, cgGLSetParameter